var app = new Vue({
  el: "#app",
  data: {
    cfgs: [],
    isLoading: true,
  },
  methods: {
    detailLink(id) {
      return `${id}/`;
    },
    deleteLink(id) {
      return `${id}/delete`;
    },
    fetchData() {
      axios.get("/api/v2/config/transcodingprofile").then((response) => {
        this.cfgs = response.data;
        this.isLoading = false;
      });
    },
  },
  mounted() {
    axios.defaults.xsrfCookieName = "csrftoken";
    axios.defaults.xsrfHeaderName = "X-CSRFTOKEN";
    this.fetchData();
  },
});
